Subject: bug#62155: 30.0.50; elixir-ts-mode.elc warning

From: Wilhelm Kirschbaum <[email-masked]>
Date: Mon, 13 Mar 2023 15:08:10 +0200

Ruijie Yu via "Bug reports for GNU Emacs, the Swiss army knife of 
text editors" <[email-masked]> writes:

> Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of 
> text editors" <[email-masked]> writes:
>
>> I get this building elixir-ts-mode:
>>
>>   ELC      progmodes/elixir-ts-mode.elc
>> Warning (treesit): Cannot activate tree-sitter, because 
>> tree-sitter library is not compiled with Emacs
>>
>> Would someone please DTRT?
>
> Have you checked mid:[email-masked] (the end of 
> bug#61996
> thread)?  It seems that there has since been a fix to your 
> problem.  If
> even after the fix you still observe the problem, maybe Eli and 
> Wilhelm
> can chime in to help.

I can see there is still an issue with loading heex-ts-mode from 
elixir-ts-mode, but not quite sure how to
immediately resolve it. I will have a look in a couple of hours.

The problem is in the top of elixir-ts-mode.el: (require 
'heex-ts-mode) and then we call
(treesit-ready-p 'heex) in heex-ts-mode. I guess the intention 
with the
convention here was to only load the -ts-mode when the user 
explicitly requires, but it
breaks the way I called (require 'heex-ts-mode) from 
elixir-ts-mode.el.